1 Star 11 Fork 7

无语西风 / yii2-api

 / 详情

composer require wuyuxifeng/yii2-api 总报错

Backlog
Opened this issue  
2020-09-22 17:24

请问直接下载仓库地址 : https://gitee.com/wuyuxifeng/yii2-api这个可以吗?

composer总报错:

输入图片说明

请问这个怎么解决。

Comments (5)

任敏 created任务
任敏 set related repository to 无语西风/yii2-api
Expand operation logs

网上说的各种办法都尝试了,都不行

网上说的各种办法都尝试了,都不行

@任敏 这个是yii2的一个扩展,必须依赖 yii2 的2.0以上版本,
报错已经提示你了

仓库地址 : https://gitee.com/wuyuxifeng/yii2-api
是不是在仓库下载源代码放在vendor下就不用php composer.phar require --prefer-dist wuyuxifeng/yii2-api了,

不好意思,实在composer出现各种问题,也不太明白怎么弄!

我是windows。然后下载了yii2 2.0以上版本,cd 到yii2跟目录,然后执行

composer require wuyuxifeng/yii2-api

输入图片说明
实在这下面执行吗?不太明白:(

我现在是下载了wuyuxifeng/yii2-api并放在了vendor下 ,还需要composer吗?

希望得到您的回复,谢谢

@任敏
这是一个yii2框架的扩展,首先确定你在用yii2框架?
如果你是在用tp或者laravel等其他的框架,那么这个扩展不适合你;

yii2相关知识请到: https://www.yiichina.com/

你在composer.json 包涵

"require": {   
    "php": ">=5.4.0",		 
    "yiisoft/yii2": "2.0.14",  
    "wuyuxifeng/yii2-api": "@dev", 
},

composer install 即可

谢谢,是用的yii2

Sign in to comment

Status
Assignees
Milestones
Pull Requests
Successfully merging a pull request will close this issue.
Branches
Planed to start   -   Planed to end
-
Top level
Priority
参与者(2)
129672 wuyuxifeng 1578918874
PHP
1
https://gitee.com/wuyuxifeng/yii2-api.git
git@gitee.com:wuyuxifeng/yii2-api.git
wuyuxifeng
yii2-api
yii2-api

Search